%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%if (0%{?fedora} > 12)
%global with_python3 0
%endif

%global pkgname python-flask-xmlrpc
%global tarball_name Flask-XML-RPC

Name:           python-flask-xmlrpc
Version:        0.1.2
Release:        1%{?dist}
Summary:        Flask-XML-RPC adds XML-RPC support to Flask.

Group:          Development/Languages
License:        MIT
URL:            https://bitbucket.org/leafstorm/flask-xml-rpc/
Source0:        https://pypi.python.org/packages/source/F/Flask-XML-RPC/%{tarball_name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       python-flask
BuildRequires:  python-flask
BuildRequires:  python2-devel python-setuptools

%description
Flask-XML-RPC adds XML-RPC support to Flask. This way, you can provide simple
APIs easily accessible from almost any programming language.


%prep
%setup -qn %{tarball_name}-%{version}


%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} setup.py test

%files
%{python2_sitelib}/*
%exclude %{python2_sitelib}/tests


%changelog
* Tue Apr 29 2014 Tim Flink <tflink@fedoraproject.org> - 0.1.2-1
- initial packaging
